﻿/* root.css */

/* Table of Contents
------------------------------------
    0. Army Special Fonts
	1. Reset
    2. Elements (a, body, p, etc.)
	3. ID's (#container, etc.)
	4. Classes (.red, .clear, etc.)
	5. Print
	6. Handheld
	7. Debug
	
COLORS
    Main Text:              #3d3d3d
    Army Gold:              #ffd54a
    Army Green:             #7b8738                  
    Light Gray bg:          #f7f7f7
------------------------------------*/

/* 0. Army Special Fonts
------------------------------------*/

@font-face {
    font-family: 'GI 400'; /* Replace with your desired font name */
    src: url('Fonts/GI400.woff2') format('woff2'), /* Replace with your font file and format */
    url('Fonts/GI400.woff') format('woff'), /* Optional: Add other formats */
    url('Fonts/GI400.ttf') format('ttf'), /* Optional: Add other formats */
    url('Fonts/GI400.otf') format('otf'); /* Optional: Add other formats */
    font-weight: normal; /* Or bold, lighter, etc. */
    font-style: normal; /* Or italic, oblique, etc. */
}

@font-face {
    font-family: 'GI 400 Italic'; /* Replace with your desired font name */
    src: url('Fonts/GI400Italic.woff2') format('woff2'), /* Replace with your font file and format */
    url('Fonts/GI400Italic.woff2') format('woff2'), /* Replace with your font file and format */
    url('Fonts/GI400Italic.woff') format('woff'), /* Optional: Add other formats */
    url('Fonts/GI400Italic.ttf') format('ttf'), /* Optional: Add other formats */
    url('Fonts/GI400Italic.otf') format('otf'); /* Optional: Add other formats */
    font-weight: normal; /* Or bold, lighter, etc. */
    font-style: normal; /* Or italic, oblique, etc. */
}

@font-face {
    font-family: 'GI 530'; /* Replace with your desired font name */
    src: url('Fonts/GI530.woff2') format('woff2'), /* Replace with your font file and format */
    url('Fonts/GI530.woff') format('woff'), /* Optional: Add other formats */
    url('Fonts/GI530.ttf') format('ttf'), /* Optional: Add other formats */
    url('Fonts/GI530.otf') format('otf'); /* Optional: Add other formats */
    font-weight: normal; /* Or bold, lighter, etc. */
    font-style: normal; /* Or italic, oblique, etc. */
}

@font-face {
    font-family: 'GI 530 Italic'; /* Replace with your desired font name */
    src: url('Fonts/GI530Italic.woff2') format('woff2'), /* Replace with your font file and format */
    url('Fonts/GI530Italic.woff') format('woff'), /* Optional: Add other formats */
    url('Fonts/GI530Italic.ttf') format('ttf'), /* Optional: Add other formats */
    url('Fonts/GI530Italic.otf') format('otf'); /* Optional: Add other formats */
    font-weight: normal; /* Or bold, lighter, etc. */
    font-style: normal; /* Or italic, oblique, etc. */
}

@font-face {
    font-family: 'GI 750'; /* Replace with your desired font name */
    src: url('Fonts/GI750.woff2') format('woff2'), /* Replace with your font file and format */
    url('Fonts/GI750.woff') format('woff'), /* Optional: Add other formats */
    url('Fonts/GI750.ttf') format('ttf'), /* Optional: Add other formats */
    url('Fonts/GI750.otf') format('otf'); /* Optional: Add other formats */
    font-weight: normal; /* Or bold, lighter, etc. */
    font-style: normal; /* Or italic, oblique, etc. */
}

@font-face {
    font-family: 'GI 750 Italic'; /* Replace with your desired font name */
    src: url('Fonts/GI750Italic.woff2') format('woff2'), /* Replace with your font file and format */
    url('Fonts/GI750Italic.woff') format('woff'), /* Optional: Add other formats */
    url('Fonts/GI750Italic.ttf') format('ttf'), /* Optional: Add other formats */
    url('Fonts/GI750Italic.otf') format('otf'); /* Optional: Add other formats */
    font-weight: normal; /* Or bold, lighter, etc. */
    font-style: normal; /* Or italic, oblique, etc. */
}

.ArmyTextRegular {
    font-family: 'GI 400';
    font-weight: normal;
}
.ArmyTextBold {
    font-family: 'GI 530';
    font-weight: normal;
}
.ArmyTextExtraBold {
    font-family: 'GI 750';
    font-weight: normal;
}
.ArmyTextWhiteRegular {
    font-family: 'GI 400';
    font-weight: normal;
    color: #ffffff;
}
.ArmyTextWhiteBold {
    font-family: 'GI 530';
    font-weight: normal;
    color:#ffffff;
}
.ArmyTextWhiteExtraBold {
    font-family: 'GI 750';
    font-weight: normal;
    color: #ffffff;
}
.ArmyTextGoldRegular {
    font-family: 'GI 400';
    font-weight: normal;
    color: #ffcc01;
}

.ArmyTextGoldBold {
    font-family: 'GI 530';
    font-weight: normal;
    color: #ffcc01;
}

.ArmyTextGoldExtraBold {
    font-family: 'GI 750';
    font-weight: normal;
    color: #ffcc01;
}
/* 1. Reset
------------------------------------*/
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, font, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
caption, table, tbody, tfoot, thead, tr, th, td {
    border-style: none;
    border-color: inherit;
    border-width: 0;
    margin: 0 0 0 0px;
    font-size: 16px;
    line-height: 20px;
    color: #221f20; 
    padding: 0 0 0 0px;
    outline: 0;
    font-family: 'GI 400', sans-serif;
    font-weight: normal;
}

:focus {
    outline: 0;
}

ol, ul {
    list-style:none;
}

/* 2. Elements
------------------------------------*/
body {
    font-family: 'GI400', Sans-serif, Arial, Verdana;
    font-weight:normal;
}

a {
    color: #221f20;
    text-decoration: none;
}

    a:hover {
        color: #221f20;
    }

h1, h2, h3, h4, h5, h6 {
    margin: 10px 10px;
}

h1 {
    font-family: 'GI 530';
    font-weight: normal;
    font-size: 1.5em;
    line-height: 1.5em;
}
h2 {
    font-family: 'GI 530';
    font-weight: normal;
    font-size: 1.2em;
    line-height: 1.3em;
}
h3, h4, h5, h6 {
    font-family: 'GI 530';
    font-weight: normal;
    font-size: 1.0em;
    line-height: 1.0em;
}
p {
    margin: 16px 10px;
    padding: 0;
    font-size: 16px;
    line-height: 1.4em;
}
ul, li {
    margin: 8px 10px;
    padding: 0;
    font-size: 16px;
    line-height: 1.4em;
}
img {
    border:none;
}

/* FOCUS & SKIP TO CONTENT: FOR SCREEN READER AND KEYBOARD USERS: 508 COMPLIANCE ------------------------------------*/
button, input, a {
    outline: none;
}

:focus-visible {
    outline: 2px solid blue;
    outline-offset: 3px;
}

#skip a {
    display: block;
    position: absolute;
    left: -999px;
    top: -999px;
}

    #skip a:focus {
        position: static;
        width: 200px;
        height: 25px;
        padding: 0px;
        padding-top: 4px;
        margin-left: 4px;
        margin-top: 0px;
        margin-bottom: 0px;
        background: blue;
        text-align: center;
        color: #ffffff;
        border: 0px solid #990000;
        font-size: 1rem;
        font-weight: 500;
    }
/* HIDE SPECIAL LINK TEXT: FOR SCREEN READER USERS: 508 COMPLIANCE ------------------------------------*/
.hideSRLinkText {
    clip: rect(1px 1px 1px 1px); /* IE 6/7 */
    clip: rect(1px, 1px, 1px, 1px);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

/* 3. ID's
------------------------------------*/
#header {
    background-color: #221f20;
    height: 75px;
    width: 1316px;
    padding-top: 10px;
    padding-bottom: 10px;
}

#mainContent {
    min-height: 800px;
    background-color: #ffffff;
    float: left;
    padding: 0px;
    width: 100%;
    overflow: auto;
}

#container {
    background: #565557;
    padding: 0;
    overflow: auto;
    width: 1316px;
}

#footer {
    background-color: #221f20;
    clear: both;
    padding: 0px 0px;
    overflow: auto;
    width: 100%;
} 

#footerRight {
    width: 220px;
    float: right;
}

/* 4. Classes
------------------------------------*/

/* Use for Title on Top of Page. Add Class to DIV. It Creates solid gold color rectangle 
    across entire width of page. Displays Title as Text You Input in DIV */
.PageTitle {
    font-display: block;
    background-color: #ffcc01;
    font-family: 'GI 750', sans-serif;
    font-weight: normal;
    font-size: 1.5em;
    line-height: 1.6em;
    text-transform: capitalize;
    color: #221f20;
    text-align: center;
    border-top: 1px solid #d5d5d7;
    border-bottom: 1px solid #d5d5d7;
    margin: 10px 0px 10px 0px;
    padding: 0px 0px 0px 0px;
}

/* Adjust the Content Width for All Pages using Class */
.PageWidth {
    width: 850px;
    margin: 0 auto
}

/* Left Naviagation Menu */
/* Used on Installations, Leadership and Business pages */
#LeftNav {
    float: left;
    width: 250px;
    margin-top: 4px;
    margin-left:4px;
    margin-right:10px;
    margin-bottom:4px;
    background-color: #221f20;
    border-radius: 8px;
    border:none;
}

    #LeftNav ul {
        display: block;
        padding: 0px !important;
        margin: 0 0px;
    }

    #LeftNav .Title {
        background-color: #221f20;
        display: block;
        padding: 10px;
        font-family: 'GI 530';
        font-weight: normal;
        font-size: 16px;
        color: #ffcc01;
    }

    #LeftNav a {
        display: block;
        padding: 10px;
        font-family: 'GI 530';
        font-weight: normal;
        font-size: 13px;
        color: #ffffff;
    }

        #LeftNav a:hover {
            background-color: #565557;
        }

#LeftNavPageContent {
    float: left;
    width: 935px;
    margin: 0px 10px;
}

/* RSS and Podcasts Icons - CSS Sprite Icons - Located in the Footer */
.rssBackground {
    background: url(Images/rss_podcasts.gif) 0px -114px no-repeat;
    display: inline-block;
    margin-left: 0px;
    width: 19px;
    height: 19px;
    line-height: 19px;
}

.podcastsBackground {
    background: url(Images/rss_podcasts.gif) 0px -133px no-repeat;
    display: inline-block;
    margin-left: 0px;
    width: 19px;
    height: 19px;
    line-height: 19px;
}

a.rss {
    display:; /* Allows for width and height to be set */
    color: #ffffff; /* Color */
    text-align: left; /* Adjusted Left */
    line-height: 19px; /* Vertically centers */
    font-size: 16px; /* Adjust as needed */
    font-family: 'GI 530'; /* Custom Army Font located in Fonts folder */
}

a.podcasts {
    display:; /* Allows for width and height to be set */
    color: #ffffff; /* Color */
    text-align: left; /* Adjusted Left */
    line-height: 19px; /* Vertically centers */
    font-size: 16px; /* Adjust as needed */
    font-family: 'GI 530'; /* Custom Army Font located in Fonts folder */
}

a.rss:hover {
    color: #faab5b;
}

a.podcasts:hover {
    color: #55c4df;
}

/*---Header Links Located on Top Page of Site.Master --*/
a.HeaderLinks {
    display: inline-block; /* Allows for width and height to be set */
    color: #ffffff; /* Color */
    text-align: left; /* Adjusted Left */
    line-height: 18px; /* Vertically centers */
    font-size: 17px; /* Adjust as needed */
    font-family: 'GI 530'; /* Custom Army Font located in Fonts folder */
}

    a.HeaderLinks:hover {
        color: #d5d5d7;
    }

/*---Footer Middle Links Located on Bottom Page of Site.Master --*/
a.FooterMiddleLinks {
    display: inline-block; /* Allows for width and height to be set */
    color: #ffffff; /* Arrow color */
    text-align: left; /* Centers the arrow */
    line-height: 16px; /* Vertically centers the arrow */
    font-size: 16px; /* Adjust as needed */
    font-family: 'GI 530'; /* Custom Army Font located in Fonts folder */
}

    a.FooterMiddleLinks:hover {
        color: #ffcc01;
    }

/*---Top Page Navigation Links on Pages with Left Nav Column --*/
/*---Used on Installations, Leadership and Business pages --*/
.NavLinksMiddlePageContainer {
    border-bottom: 1px solid #ffcc01;
    vertical-align: middle;
    border-top: 1px solid #ffcc01;
    height: 25px; 
    padding-top: 4px;
    margin-bottom:15px;
    text-align:center;
}
a.NavLinksMiddlePage {
    display: inline-block; /* Allows for width and height to be set */
    color: #221f20; /* Font color */
    text-align: left; /* Adjust Alignment */
    line-height: 16px; /* Vertically centers*/
    font-size: 16px; /* Adjust as needed */
    font-family: 'GI 530'; /* Custom Army Font located in Fonts folder */
    margin-left: 12px;
    margin-right: 15px;
}

    a.NavLinksMiddlePage:hover {
        color: #565557;
    }

/*---Link Triangle Bullet Styles --*/
/*---Used to Left Side of Links - Changes Font Color and Font Family --*/
.LinkTriangleBullet {
    font-family: 'GI 400';
    font-weight: normal;
    color: #ffcc01;
}
/*---Army Gold Button Styles --*/
.GoldButtonContainer {
    text-align: center;
    margin-top: 7px;
    width: 100%;
}

.GoldButtonStyle {
    width: 115px;
    height: 16px;
    text-align: center;
    line-height: 16px;
    border: 1px solid #fec325;
    float: left;
    display: inline-block;
    background-color: #ffcc01;
    padding: 3px 0px;
    font-size: 13px;
    color: #000000;
    font-family: 'GI 530', "Overpass", sans-serif, arial;
    font-weight: normal;
    text-decoration: none;
    text-transform: uppercase;
    cursor: pointer;
    margin-right: 0px;
    margin-bottom: 3px;
    transition: 0.0s;
    position: relative;
    overflow: hidden;
    border-radius: 0px;
}

    .GoldButtonStyle:hover {
        color: #000000;
        margin-bottom: 3px;
        background: linear-gradient(#ffcc01 0%, #ffcc01 100%);
        border: double #555555 1px;
    }

/*---Army Gold Button Transparent Styles --*/
/*---A See Through Rectangle Box with Gold Border. Used Over Dark Background --*/
.GoldButtonTransparentContainer {
    text-align: center;
    margin-top: 7px;
    width: 100%;
}

.GoldButtonTransparentStyle {
    width: 115px;
    height: 16px;
    text-align: center;
    line-height: 16px;
    border: 1px solid #ffcc01;
    float: left;
    display: inline-block;
    background-color: none;
    padding: 3px 0px;
    font-size: 13px;
    color: #ffcc01;
    font-family: 'GI 530', "Overpass", sans-serif, arial;
    font-weight: normal;
    text-decoration: none;
    text-transform: uppercase;
    cursor: pointer;
    margin-right: 0px;
    margin-bottom: 3px;
    transition: 0.0s;
    position: relative;
    overflow: hidden;
    border-radius: 0px;
}

    .GoldButtonTransparentStyle:hover {
        color: #ffcc01;
        margin-bottom: 3px;
        background: none;
        border: double #ffffff 1px;
    }

/*---Leadership Official Biography Button Styles Starts--*/
.biocontainer {
    text-align: center;
    margin-top: 7px;
}

.btnBio {
    width: 116px;
    height: 12px;
    line-height: 12px;
    float: left;
    border: 2px solid #fec325;
    display: inline-block;
    background-color: #fec325;
    padding: 3px 0px;
    font-size: 9px;
    color: #000000;
    font-family: "Overpass", sans-serif, arial;
    font-weight: 600;
    text-decoration: none;
    text-transform: uppercase;
    cursor: pointer;
    margin-right: 0px;
    margin-bottom: 3px;
    transition: 0.0s;
    position: relative;
    overflow: hidden;
    border-radius: 0px;
}

    .btnBio:hover {
        color: #000000;
        background: linear-gradient(#fec325 0%, #fec325 100%);
        border: double #555555 2px;
    }
/*---Leadership Official Biography Button Styles Ends--*/

/*---Leadership Large Button styles Starts--*/
.biocontainerLarge {
    text-align: center;
    margin-top: 15px;
    line-height:25px;
}

.btnBioOuterLayerLarge {
    float: left;
    display: inline-block;
    background-color: #ffcc01;
    padding: 5px 5px;
    font-family: 'GI 530', "Overpass", sans-serif, Arial;
    font-weight: normal;
    text-decoration: none;
    text-transform: uppercase;
    cursor: pointer;
    margin-right: 0px;
    margin-bottom: 0px;
    transition: 0.0s;
    position: relative;
    overflow: hidden;
}

.btnBioLarge {
    width: 114px;
    height: 40px;
    line-height: 40px;
    float: left;
    display: inline-block;
    border: double #ffcc01 1px;
    background-color: #ffcc01;
    padding: 0px 0px;
    font-size: 16px;
    color: #221f20;
    font-family: 'GI 530', "Overpass", sans-serif, Arial;
    font-weight: normal;
    text-decoration: none;
    text-transform: uppercase;
    cursor: pointer;
    margin-right: 0px;
    margin-bottom: 0px;
    transition: 0.0s;
    position: relative;
    overflow: hidden;
}

.btnBioLarge:hover {
    color: #2a5d84;
    background: linear-gradient(#fec325 0%, #ffcc01 100%);
    border: double #2a5d84 1px;
    transition: 2.0s;
}


.btnBioLarge:hover span {
    color: #2a5d84; /*---STAR COLOR INSIDE SPAN USING STAR CODE &#9733; --*/
    transition: 2.0s;
}

    /*---Leadership styles Ends--*/
    /*---Gold Star for Links on Bottom of Default.aspx --*/
    /*--- Use Code &#9733; in DIV for text to display Star symbol --*/

    .LinkStar {
    color: #ffffff;
    text-align: center;
    line-height: 10px;
    font-size: 24px;
    font-family: 'GI 530';
}

.LinkStar:hover {
    color: #ffcc01;
}

/*---Circle with Arrow for Links on Bottom of Default.aspx --*/
/*--- Use Code &nbsp;&#8594; in DIV for text to display Arrow symbol --*/
/* HIDING - NOT CURRENTLY BEING USED
 .circle-with-arrow {
    display: inline-block; 
    width: 14px;
    height: 14px; 
    border-radius: 50%; 
    background-color: #ffffff;
    color: #221f20; 
    text-align: center; 
    line-height: 14px; 
    font-size: 14px; 
    font-family: 'GI 530'; 
}
*/

/*.circle-with-arrow:hover {
    background-color: #ffcc01;
    color: #221f20;
}
*/

/*---Underline Gold Links --*/
.underlineGoldLinks {
    display: inline-block; /* Allows for width and height to be set */
    color: #ffffff; /* Font Color */
    text-align: left; /* Adjust Alignment */
    line-height: 22px; /* Vertically centers */
    font-size: 16px; /* Adjust as needed */
    font-family: 'GI 530'; /* Custom Army Font located in Fonts folder */
}

    .underlineGoldLinks:hover {
        color: #ffcc01;
        text-decoration: underline;
        text-decoration-color: #ffcc01;
    }

/*-- Gold Bar Divider with Title and Links --*/
.TextHeading {
    margin-left: 10px;
    font-size: 22px;
    line-height: 22px;
    color: #221f20;
    font-weight: normal;
    font-family: 'GI 530', sans-serif;
    text-align: left;
}

.TextHeadingSmall {
    margin-left: 10px;
    font-size: 18px;
    line-height: 18px;
    color: #221f20;
    font-weight: normal;
    font-family: 'GI 530', sans-serif;
    text-align: left;
}

.TextHeadingSmallExtraBold {
    margin-top: 30px;
    margin-left: 10px;
    font-size: 18px;
    line-height: 18px;
    color: #221f20;
    font-weight: normal;
    font-family: 'GI 750', sans-serif;
    text-align: left;
}

.TextRegular {
    font-size: 16px;
    line-height: 24px;
    color: #565557;
    font-weight: 400;
    font-family: sans-serif;
    text-align: left;
}

.GoldDivider {
    margin-top: 20px;
    margin-left: 10px;
    margin-bottom: 5px;
    height: 5px;
    width: 65px;
    background-color: #ffcc01;
}

/* BLACK COLOR TEXT BOX WITH GOLD BORDER */
.BlackTextBox {
    background-color: #221f20;
    border: 2px solid #ffcc01;
    padding: 15px;
    color:#ffffff;
}

/* LINK STYLE ARMY BLACK COLOR */
.LinkStyle {
    color: #2a5d84;
    font-family: sans-serif, Arial;
    font-weight: 600;
    font-size: 15px;
}

a:link.LinkStyle {
    color: #2a5d84;
}

/* visited link */
a:visited.LinkStyle {
    color: #2a5d84;
}

/* mouse over link */
a:hover.LinkStyle {
    color: #2a5d84;
    text-decoration: underline;
}

/* selected link */
a:active.LinkStyle {
    color: #2a5d84;
}

/* LINK STYLE ARMY GOLD COLOR */
.LinkStyleGold {
    color: #ffcc01;
    font-family: sans-serif;
    font-weight: 600;
    font-size: 15px;
}

a:link.LinkStyleGold {
    color: #ffcc01;
}

/* visited link */
a:visited.LinkStyleGold {
    color: #ffcc01;
}

/* mouse over link */
a:hover.LinkStyleGold {
    color: #ffcc01;
    text-decoration: underline;
}

/* selected link */
a:active.LinkStyleGold {
    color: #ffcc01;
}

/*-- End of Gold Bar Divider with Title and Links --*/

/*-- Start Resources Page Brochure Image Links --*/
.BrochureStyle {
    border: 2px solid #ffcc01;
}

    .BrochureStyle:hover {
        border: 2px solid #221f20;
        transition: 1.4s;
    }
/*-- End Resources Page Brochure Image Links --*/



/* 5. Print
------------------------------------*/
@media print {
    body {
        background: #ffffff;
        color: #000000;
    }

    #header, #footer, #LeftNav, .PageTitle {
        display: none;
    }

    #mainContent {
        overflow: visible;
    }
}

/* 6. Handheld
------------------------------------*/
@media handheld {
}




/* 7. Debug
------------------------------------*/
/* Un-comment for site testing



